%global pypi_name oslosphinx

Name:       python-oslo-sphinx
Version:    2.3.0
Release:    2%{?dist}
Summary:    OpenStack Sphinx Extensions and Theme

License:    ASL 2.0
URL:        https://launchpad.net/oslo
Source0:    https://pypi.python.org/packages/source/o/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:  noarch
Requires:   python-setuptools

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-pbr
BuildRequires: python-d2to1

%description
The Oslo project intends to produce a python library containing
infrastructure code shared by OpenStack projects. The APIs provided
by the project should be high quality, stable, consistent and generally
useful.

The oslo-sphinx library contains Sphinx theme and extensions support used by
OpenStack.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# create backward compatibile oslo.sphinx namespace package
mkdir oslo
mv oslosphinx oslo/sphinx
sed -i 's/oslosphinx/oslo.sphinx/' oslo/sphinx/intersphinx.py
sed -i '/packages =/ { N; s/oslosphinx/oslo\n\toslo.sphinx\nnamespace_packages =\n\toslo/ }' setup.cfg
%{__python2} setup.py build
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}
ln -s ln -s ../../oslosphinx/theme %{buildroot}%{python2_sitelib}/oslo/sphinx

%files
%doc LICENSE README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/oslo
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*-nspkg.pth

%changelog
* Mon Dec 15 2014 Alan Pevec <alan.pevec@redhat.com> - 2.3.0-2
- Update to 2.3.0
- Provide oslo.sphinx theme compatibility symlink

* Tue Nov 04 2014 Alan Pevec <alan.pevec@redhat.com> - 2.2.0-1
- Update to 2.2.0
- Provide both old oslo.sphinx namespaced package and new oslosphinx

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 07 2014 Pádraig Brady <pbrady@redhat.com> - 1.1-1
- Update to release 1.1

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Pádraig Brady <pbrady@redhat.com> 1.0-3
- Review adjustments

* Mon Jul 8 2013 Dan Prince <dprince@redhat.com> 1.0-1
- Initial package.
